Skip to main content
Resource Center/Hardware/Physical Network Operations
GETPhysical Network OperationsSince 5.0.0SynchronousAuth Required

QueryHostNetworkInterfaceLldp

QueryHostNetworkInterfaceLldp

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventoryListRequired

    See inventroies.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/hostNetworkInterface/lldp/all

/zstack/v1/hostNetworkInterface/lldp/all

Operation ID

QueryHostNetworkInterfaceLldp

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/hostNetworkInterface/lldp/all' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "interfaceUuid": "d90dd5538ca2343099ea96cb89857aca", "mode": "rx_only" } ] }

Change History

This API has no change history records yet.

View all change history